using Magiq.Tests.TestModel;

namespace Magiq.Tests.Entities.TestModel
{
    public class EntityFrameworkTestSuperClass : ITestSuperClass<EntityFrameworkTestSuperClass>
    {
        public virtual int Id { get; set; }
        public virtual string StringProperty { get; set; }
        public virtual string AnotherStringProperty { get; set; }
        public virtual int IntProperty { get; set; }
        public virtual int? NullableIntProperty { get; set; }
        public virtual int AnotherIntProperty { get; set; }

        public virtual EntityFrameworkTestSuperClass SelfReference { get; set; }

        public virtual ReferenceTestClass Reference { get; set; }

        public virtual ReferenceTestClass Reference2 { get; set; }
    }
}