using System.Collections.Generic;
using System.Linq;

namespace Magiq.Tests {
    public interface IMagiqTestConfigurator {
        void Persist<T>(IList<T> items) where T : class;
        void SetUp();
        void TearDown();
        IQueryable<T> GetQueryable<T>() where T : class;
        void Reload();
    }
}