using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace Magiq.Databases
{
    public abstract class ColumnsAssignment
    {
        public string PropertyName { get; set; }
        public Type PropertyType { get; set; }
        public Type ValueType { get; set; }
        public LambdaExpression ValueExpression { get; set; }
        public IEnumerable<string> Columns { get; set; }
        public bool ColumnOnly
        {
            get { return PropertyType == null; }
        }
    }
}