﻿using System.Collections.Generic;

namespace Magiq.Databases
{
    public interface IDialect
    {
        string DeleteClauseFor(string tableName, string from);
        string UpdateClauseFor(string tableName, IDictionary<string, string> sets, string from);
        string InsertClauseFor(string tableName, IDictionary<string, string> columnValues, string from);
    }
}