using System.Collections.Generic;
using System.Linq;

namespace Magiq.Databases.Update
{
    public class DatabaseUpdate<T> : DatabaseOperation
    {
        public DatabaseUpdate()
        {
            ColumnAssignments = new List<UpdateColumnsAssignment>();
        }

        public ITypeMapping SourceTypeMapping { get; set; }
        public IQueryable<T> Source { get; set; }
        public IList<UpdateColumnsAssignment> ColumnAssignments { get; private set; }
    }
}