using System;
using System.Linq.Expressions;

namespace Magiq.Insert
{
    public interface IInsertBuilder<TSource, TDestination>
    {
        int Insert<TNew>(Expression<Func<TSource, TNew>> newExpression) where TNew : class, TDestination, new();
    }
}