using System.Collections.Generic;
using Magiq.Tests.TestModel;

namespace Magiq.Tests.Entities.TestModel
{
    public class EFParent : IParent<EFChildItem>
    {
        public EFParent()
        {
            Items = new List<EFChildItem>();
        }

        public virtual int Id { get; set; }
        public virtual int Id2 { get; set; }
        public virtual string Name { get; set; }

        public virtual IList<EFChildItem> Items { get; set; }

        public virtual void AddItem(EFChildItem item)
        {
            Items.Add(item);
        }
    }
}