namespace Magiq.Tests.Support {
    public class Contain {
        public static IStringToContain TheString(string value) {
            return new StringToContain(value);
        }

        #region Nested type: StringToContain

        private class StringToContain : IStringToContain {
            public StringToContain(string value) {
                Value = value;
            }

            #region IStringToContain Members

            public string Value { get; private set; }

            #endregion
        }

        #endregion
    }
}