using System.Linq;

namespace Magiq.Databases.Delete
{
    public class DatabaseDelete<T> : DatabaseOperation
    {
        public DatabaseDelete(IOrmAdapter ormAdapter)
        {
            SourceTypeMapping = ormAdapter.GetMappingOf(typeof (T));
            OrmAdapter = ormAdapter;
        }

        public ITypeMapping SourceTypeMapping { get; set; }
        public IQueryable<T> Source { get; set; }
    }
}