using System.Collections.Generic;
using System.Linq;
using Magiq.Insert;

namespace Magiq.Databases.Insert
{
    public class DatabaseInsert<TSource> : DatabaseOperation
    {
        public DatabaseInsert()
        {
            ColumnAssignments = new List<InsertColumnsAssignment>();
        }

        public ITypeMapping DestinationTypeMapping { get; set; }
        public IQueryable<TSource> Source { get; set; }
        public IList<InsertColumnsAssignment> ColumnAssignments { get; private set; }
    }
}