using System;
using System.Linq;
using System.Linq.Expressions;

namespace Magiq.Insert
{
    public interface IInsert<TSource, out TDestination, TNew>
    {
        Expression<Func<TSource, TNew>> NewExpression { get; }
        InsertSource<TNew> Source { get; }
        IQueryable<TDestination> Destination { get; }
    }

    public interface IInsert
    {
        int Execute();
    }
}