using System;
using System.Linq;

namespace Magiq.Support
{
    public class CannotResolveSourceException : Exception
    {
        public CannotResolveSourceException(IQueryable queryable) : base("Cannot resolve source from " + queryable)
        {
            Queryable = queryable;
        }

        public IQueryable Queryable { get; private set; }
    }
}