using System;

namespace Magiq.Support
{
    public static class TypeExtensions
    {
        public static bool Is<T>(this object o)
        {
            var type = typeof (Type).IsAssignableFrom(o.GetType()) ? (Type) o : o.GetType();
            return typeof (T).IsAssignableFrom(type);
        }
    }
}